<!DOCTYPE html>
{% load static %}
<html lang="ru">
	<head>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        <meta charset="utf-8">
	  	<title>Moon Pie</title>
        <link rel="stylesheet" href="{% static "css/style.css" %}" />
        <link rel="stylesheet" href="{% static "css/slick.css" %}" />
        <link rel="stylesheet" href="{% static "css/slick-theme.css" %}" />
        </head>
<body>

    <header class="header">
        {% if userr == None %}
        <div class="st row">

            <div class="log" id = "{{ userr }}">Войти</div>/<div class="reg">Зарегистрироваться</div>

        </div>
        {% else %}
        <div class = "logout" id = "{{ userr }}">Выйти</div>
        {% endif %}
        <div class="head row">
            <div class="logo"><a href="/"><img src="{% static "/images/logo.png" %}"></a></div>
            <div class="menu">
                <ul class="mli">
                    <li><a class="lk" href="/cabinet">Личный кабинет</a></li>
                    <li><a class="katalog" href="/catalog">Каталог</a></li>
                    <li><a class="korzina" href="#">Корзина</a></li>
                </ul>
            </div>
        </div>
    </header>

    <div class="form ">
        <span class="close"></span>
        <form action="" method="POST">
            {% csrf_token %}
            <li>
                <label> Имя:
                    <input name="name" required pattern="[A-Za-zА-Яа-яЁё]{2,20}" value="">
                </label>
            </li>
            <li>
                <label> Фамилия:
                    <input name="surname" required pattern="[A-Za-zА-Яа-яЁё]{2,30}" value="">
                </label>
            </li>
            <li>
                <label> Отчество:
                    <input name="middle_name" class="" value="">
                </label>
            </li>
            <li>Пол:
                <label><input type="radio"  name="sex" checked value="Женский"> Женский</label>
                <label><input type="radio"  name="sex" value="Мужской"> Мужской</label>
                </li>
            <li>
                <label> Дата рождения:
                    <input name="date" type="date" required class="" value="">
                </label>
            </li>
            <li>
                <label> E-mail:
                    <input name="e-mail" type="email" required class="" value="">
                </label>
            </li>
            <li>
                <label> Номер телефона: +7
                    <input name="phone" type="tel" required pattern="\s?[\(]{0,1}9[0-9]{2}[\)]{0,1}\s?\d{3}[-]{0,1}\d{2}[-]{0,1}\d{2}" value="">
                </label>
            </li>
            <li>
                <label> Логин:
                    <input name="login" type="log" required value="">
                </label>
            </li>
            <li>
                <label> Пароль:
                    <input name="pass" type="password" required pattern="(?=^.{8,}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*" value="">
                </label>
            </li>
                <button id="regkn" class="regkn">Зарегистрироваться</button>
        </form>
    </div>
    <div class="form2">
        <span class="close"></span>
        <form action="" method="POST">
            {% csrf_token %}
            <li>
                <label> Логин:
                    <input name="log2" class="" value="">
                </label>
            </li>
            <li>
                <label> Пароль:
                    <input name="pass2" type="password" class="" value="">
                </label>
            </li>
            <input id = "log" class="bt_log" type="submit" value="Войти">
        </form>
    </div>
    <div class="wrap" id="popup">
    <div class="content2 container-fluid" id="conte">
        {% block content%}{% endblock content %}
    </div>
    </div>
    <div class="korzina_w">
        <span class="close"></span>
        <h1>Корзина</h1>
        {% block korzina %}
        
        <table class="kor">
           <tr class="car"></tr>
        </table>
    
        <div id="mydiv" class=""></div>
        {% endblock %}
        <label>Комментарий к заказу:<br>
            <textarea class="komm" type="text" max-length="100" value=""></textarea>
        </label>
        <div class="summary_price"></div>
        <button class = "zakaz" {% if userr == None %} onclick="$('.log').trigger('click')" {% endif %}>Заказать</button>
    <br><br>
    </div>
    <div id="topNubex"><img src="{% static "/images/nebux.png" %}" width="50px" height="50px"></div>
    <footer>
        <div class="footer row">
            <div class="logotip"><a href="/">Moon Pie</a></div>
            <div class="kontact">Контакты:
                <div>+7 965 473 69 08</div>
                <div>moonpie_kond@gmail.com</div>
            </div>
        </div>
    </footer>
    {% block extrajs %}
        <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
        <script src="{% static "js/1.js" %}"></script>
        <script src="{% static "js/2.js" %}"></script>
        <script src="{% static "js/slick.min.js" %}"></script>
        <script src="https://unpkg.com/react@17/umd/react.development.js" crossorigin></script>
        <script src="https://unpkg.com/react-dom@17/umd/react-dom.development.js" crossorigin></script>
    {% endblock %}
</body>
</html>
